メインコンテンツへスキップ
POST
/
automation
/
sequences
/
2026-03
/
enrollments
コンタクトをシーケンスに登録
curl --request POST \
  --url https://api.hubapi.com/automation/sequences/2026-03/enrollments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "contactId": "<string>",
  "senderEmail": "<string>",
  "sequenceId": "<string>",
  "senderAliasAddress": "<string>"
}
'
import requests

url = "https://api.hubapi.com/automation/sequences/2026-03/enrollments"

payload = {
"contactId": "<string>",
"senderEmail": "<string>",
"sequenceId": "<string>",
"senderAliasAddress": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactId: '<string>',
senderEmail: '<string>',
sequenceId: '<string>',
senderAliasAddress: '<string>'
})
};

fetch('https://api.hubapi.com/automation/sequences/2026-03/enrollments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "enrolledAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "toEmail": "<string>",
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

userId
string
必須

ボディ

application/json
contactId
string
必須

シーケンスに登録するコンタクトの固有ID。

senderEmail
string
必須

コンタクトをシーケンスに登録する送信者のEメールアドレス。

sequenceId
string
必須

コンタクトが登録されるシーケンスの固有ID。

senderAliasAddress
string

コンタクトの登録時に送信者が使用したエイリアスEメールアドレス。

レスポンス

successful operation

enrolledAt
string<date-time>
必須

コンタクトがシーケンスに登録された日時。

id
string
必須

シーケンス登録の固有ID。

toEmail
string
必須

シーケンスに登録されたコンタクトのEメールアドレス。

updatedAt
string<date-time>
必須

シーケンス登録が最後に更新された日時。

最終更新日 2026年4月10日